#include<iostream>
using namespace std;
int main()
{
    int pom,rez=0;
    long long int n;
    cin>>n;
    while(n>0)
    {
        pom=n%10;
        if(pom==1||pom==2||pom==5)
            rez++;
        if(pom==3||pom==4||pom==6||pom==7)
            rez=rez+2;
        if(pom==8||pom==9)
            rez=rez+3;
            n=n/10;

    }
    cout<<rez<<endl;
}